Altibase.jdbc.driver.cm

## Class CmShardProtocol

- java.lang.Object
- - Altibase.jdbc.driver.cm.CmShardProtocol

    public class CmShardProtocol
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`CmShardProtocol(CmProtocolContextShardConnect aShardContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `getNodeList()` 샤딩을 구성하고 있는 노드리스트를 프로토콜을 통해 받아온다.
`void` `sendConnectionReport(CmProtocolContextShardConnect aShardContextConnect, NodeConnectionReport aReport)` 서버로 Failover Connection Report를 전송한다.
`void` `sendShardTransactionCommitRequest(java.util.List<DataNode> aTouchedNodeList)`
`void` `setChannel(CmChannel aChannel)`
`void` `shardAnalyze(CmProtocolContextShardStmt aShardContextStmt, java.lang.String aSql, int aStmtID)`
`void` `updateNodeList()` 샤딩을 구성하고 있는 노드리스트를 프로토콜을 통해 갱신한다.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CmShardProtocol

    public CmShardProtocol(CmProtocolContextShardConnect aShardContext)

### Method Detail

#### getNodeList

    public void getNodeList()
                     throws java.sql.SQLException

샤딩을 구성하고 있는 노드리스트를 프로토콜을 통해 받아온다.

Throws:
  `java.sql.SQLException`

#### updateNodeList

    public void updateNodeList()
                        throws java.sql.SQLException

샤딩을 구성하고 있는 노드리스트를 프로토콜을 통해 갱신한다.

Throws:
  `java.sql.SQLException`

#### shardAnalyze

    public void shardAnalyze(CmProtocolContextShardStmt aShardContextStmt,
                             java.lang.String aSql,
                             int aStmtID)
                      throws java.sql.SQLException

Parameters:
  `aShardContextStmt` - shard statement context 객체
  `aSql` - sql string
  `aStmtID` - Statement ID
Throws:
  `java.sql.SQLException`

#### sendShardTransactionCommitRequest

    public void sendShardTransactionCommitRequest(java.util.List<DataNode> aTouchedNodeList)
                                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### sendConnectionReport

    public void sendConnectionReport(CmProtocolContextShardConnect aShardContextConnect,
                                     NodeConnectionReport aReport)
                              throws java.sql.SQLException

서버로 Failover Connection Report를 전송한다.

Parameters:
  `aShardContextConnect` - shard context connect 객체
  `aReport` - 커넥션 레포트 객체
Throws:
  `java.sql.SQLException` - 프로토콜 송/수신 도중 예외가 발생한 경우

#### setChannel

    public void setChannel(CmChannel aChannel)